<div class="absolute inset-0 flex flex-col min-w-0 overflow-hidden">
    <!-- Header -->
    <div class="flex flex-row flex-0 items-center justify-between p-6 sm:pt-2 pb-10 sm:px-10">
        <div class="flex-1 min-w-0">
            <!-- Title -->
            <div class="mt-1">
                <h2 class="text-3xl font-extrabold tracking-tight leading-10 truncate">
                    Homecare : รายชื่อผู้รับการเยี่ยมบ้าน
                </h2>
            </div>
        </div>
    </div>

    <!-- Main -->
    <div class="flex-auto -mt-12 p-4 shadow overflow-y-auto bg-card" cdkScrollable>

        <!-- CONTENT GOES HERE -->
        <div class="h-fit pb-2 -mt-5">
            <div class="flex flex-col flex-auto min-w-0 mb-3">
                <div class="flex flex-row pl-10">
                    <div
                        class="flex align-items-stretch w-full flex-wrap card-container blue-container justify-between">
                        <div class="flex flex-row m-8">
                            <div class="flex">
                                <div class="flex flex-row w-full pr-1 ml-4 mt-2 cursor-pointer">
                                    <input #pickerDirective type="text"
                                        class="rounded-md border border-slate-400 bg-white shadow h-10 pl-4 pr-4 w-full cursor-pointer -ml-6 datepicker-calendar-icon"
                                        ngxDaterangepickerMd [(ngModel)]="selectedDateStart" [autoApply]="true"
                                        [locale]="{ format: 'DD/MM/YYYY' }" [singleDatePicker]="true"
                                        placeholder="วันที่ค้นหาข้อมูล" (change)="dateChangeStart($event)" />
                                </div>
                                <div class="flex flex-row w-full pr-1 ml-4 mt-2 cursor-pointer">
                                    <input type="text"
                                        class="rounded-md border border-slate-400 bg-white shadow h-10 pl-4 pr-4 w-full cursor-pointer -ml-6 datepicker-calendar-icon"
                                        ngxDaterangepickerMd [(ngModel)]="selectedDateEnd" [autoApply]="true"
                                        [locale]="{ format: 'DD/MM/YYYY' }" [singleDatePicker]="true"
                                        placeholder="วันที่ค้นหาข้อมูล" (change)="dateChangeEnd($event)" />
                                </div>
                            </div>
                            <div class="flex align-items-center justify-content-center m-2">
                                <button mat-button class="bg-teal-500 text-white text-2xl rounded-md mr-2"
                                    matTooltip="ค้นหา" (click)="search()">
                                    <mat-icon class="text-white">search</mat-icon>
                                </button>
                                <button mat-button class="bg-red-400 text-white text-2xl rounded-md"
                                    matTooltip="ล้างข้อมูลการค้นหา" (click)="clear()">
                                    <mat-icon class="text-white">refresh</mat-icon>
                                </button>
                            </div>
                        </div>


                        <div class="flex flex-row m-8">
                            <div class="flex">
                                <div class="mt-2">
                                    <input matInput placeholder="ชื่อ นามสกุล" [(ngModel)]="fullname"
                                        class="rounded-md border border-slate-400 bg-white shadow h-10 pl-4 pr-4 w-full -ml-6">

                                </div>
                                <div class="flex align-items-center justify-content-center m-2 pr-10">
                                    <button mat-raised-button class="bg-indigo-500 text-white text-2xl rounded-md"
                                        matTooltip="ค้นหาชื่อ นามสกุล" (click)="search_fullname()">
                                        <mat-icon class="text-white">manage_search</mat-icon>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="flex mt-2 justify-center pl-10 pr-10 rounded">
                    <div class="card-body">
                        <ngx-spinner color="#fff" type="ball-clip-rotate-multiple" size="medium">
                            <p class="myLoading">Loading Datas...</p>
                        </ngx-spinner>
                    </div>
                    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
                        <ng-container matColumnDef="pcucodesend">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center">หน่วยส่ง
                            </th>
                            <td mat-cell *matCellDef="let element"> {{element.refer_hospname}} </td>
                        </ng-container>

                        <ng-container matColumnDef="urgency">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> ความเร่งด่วน </th>
                            <td mat-cell *matCellDef="let element" class="text-center">
                                <span *ngIf="element.refer_level == '1'">
                                    <mat-icon class="text-green-400">circle</mat-icon>
                                </span>
                                <span *ngIf="element.refer_level == '2'">
                                    <mat-icon class="text-yellow-400">circle</mat-icon>
                                </span>
                                <span *ngIf="element.refer_level == '3'">
                                    <mat-icon class="text-red-400">circle</mat-icon>
                                </span>
                            </td>
                        </ng-container>
                        <ng-container matColumnDef="ptstatus">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> สถานะผู้ป่วย
                            </th>
                            <td mat-cell *matCellDef="let element">
                                <span *ngIf="element.patient_status== '1'">
                                    <div class="text-red-800 bg-red-200 text-center rounded-full">Totally</div>
                                </span>
                                <span *ngIf="element.patient_status== '2'">
                                    <div class="text-black bg-yellow-200 text-center rounded-full">Partially</div>
                                </span>
                                <span *ngIf="element.patient_status== '3'">
                                    <div class="text-green-800 bg-green-200 text-center rounded-full">Independent</div>
                                </span>
                            </td>
                        </ng-container>
                        <ng-container matColumnDef="name">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center min-w-40"> ชื่อ -
                                สกุลผู้ป่วย
                            </th>
                            <td mat-cell *matCellDef="let element"> {{element.title}}{{element.first_name}}
                                {{element.last_name}} </td>
                        </ng-container>

                        <ng-container matColumnDef="address">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center min-w-40"> ที่อยู่
                            </th>
                            <td mat-cell *matCellDef="let element"> {{element.patient_address_name}} </td>
                        </ng-container>

                        <ng-container matColumnDef="phone">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> โทร </th>
                            <td mat-cell *matCellDef="let element"> {{element.phone_number}} </td>
                        </ng-container>

                        <ng-container matColumnDef="dchdate">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> Register Date</th>
                            <td class="text-center" mat-cell *matCellDef="let element"> {{element.d_update |
                                thaidate:'short' }} </td>
                        </ng-container>

                        <ng-container matColumnDef="prediag">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> วินิจฉัย
                            </th>
                            <td mat-cell *matCellDef="let element"> {{element.diag_text}} </td>
                        </ng-container>

                        <ng-container matColumnDef="typerefer">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> สาเหตุการเยี่ยม
                            </th>
                            <td mat-cell *matCellDef="let element"> {{ element.clause }} </td>
                        </ng-container>

                        <ng-container matColumnDef="last_visit">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center"> วันเยี่ยมล่าสุด
                            </th>
                            <td mat-cell *matCellDef="let element"> {{element.coc_home_visit_date | thaidate:'short'}}
                            </td>
                        </ng-container>

                        <ng-container matColumnDef="refer_to_pcuname">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center">หน่วยเยี่ยม
                            </th>
                            <td mat-cell *matCellDef="let element">
                                <span *ngIf="element.refer_to_pcuname">{{element.refer_to_pcuname}}</span>
                                <span *ngIf="!element.refer_to_pcuname">{{element.refer_to_hospname}}</span>  
                            </td>
                        </ng-container>

                        <ng-container matColumnDef="action">
                            <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center w-18"> </th>
                            <td mat-cell *matCellDef="let element">
                                <div class="ml-2 -mt-2 -mr-3">
                                    <button mat-icon-button [matMenuTriggerFor]="overdueMenu">
                                        <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:dots-vertical'">
                                        </mat-icon>
                                    </button>
                                    <mat-menu #overdueMenu="matMenu" class="flex flex-col w-12">
                                        <button mat-button class="w-full justify-start pl-2 rounded-none text-cyan-600"
                                            (click)="sendhomevisitview(element)">
                                            <mat-icon class="text-cyan-400">info</mat-icon>ดูข้อมูล
                                        </button>
                                        <!-- <button mat-button class="w-full justify-start pl-2 rounded-none text-cyan-600"
                                            (click)="transfer(element)">
                                            <mat-icon class="text-yellow-400">reply</mat-icon>ส่งต่อหน่วยเยี่ยม
                                        </button> -->
                                        <button mat-button class="w-full justify-start pl-2 rounded-none text-cyan-600"
                                            (click)="openDialogTransfer(element)">
                                            <mat-icon class="text-yellow-400">reply</mat-icon>ส่งต่อหน่วยเยี่ยม
                                        </button>
                                        <button mat-button class="w-full justify-start pl-2 rounded-none text-green-600"
                                            (click)="new_homevisit(element)">
                                            <mat-icon class="text-green-400">add_circle</mat-icon>ลงเยี่ยม
                                        </button>
                                        <!--                                         <button *ngIf="element.coc_home_id" mat-button
                                            class="w-full justify-start pl-2 rounded-none text-amber-600"
                                            (click)="homevisit(element.coc_home_id)">
                                            <mat-icon class="text-amber-400">edit</mat-icon>แก้ไข
                                        </button> -->
                                        <button *ngIf="element.coc_home_id" mat-button
                                            class="w-full justify-start pl-2 rounded-none text-orange-600"
                                            (click)="evaluate(element)">
                                            <mat-icon class="text-orange-400">checklist</mat-icon>ประเมิน
                                        </button>
                                        <button *ngIf="element.coc_home_id" mat-button
                                            class="w-full justify-start pl-2 rounded-none text-pink-600"
                                            (click)="result(element)">
                                            <mat-icon class="text-pink-400">assignment</mat-icon>สรุปผล
                                        </button>
                                    </mat-menu>
                                </div>
                            </td>
                        </ng-container>
                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                    </table>

                </div>

            </div>
            <div class="flex w-full justify-end pr-4">
                <mat-paginator [pageSizeOptions]="[10, 20, 30, 40, 50]" showFirstLastButtons
                    aria-label="Select page of periodic elements">
                </mat-paginator>
            </div>
        </div>

    </div>

</div>